Download it now!
Bug 56307 - Grammar checker insists on em dash, inconsistent with autocorrect
Summary: Grammar checker insists on em dash, inconsistent with autocorrect
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-23 00:27 UTC by Matt
Modified: 2013-12-24 21:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt 2012-10-23 00:27:52 UTC
LibreOffice Writer Auto-correct replaces [space][-][-][space] with [space][en-dash][space].

However, the Grammar Checker underlines this in blue and offers replacement with [em-dash] (no spaces).

This is a matter of style preference, but is inconsistent between two parts of LibreOffice. What Auto-correct offers is actually for many people the preferable style, but then the Grammar Checker marks it as wrong!

To quote Wikipedia, http://en.wikipedia.org/wiki/Dash#En_dash

"Various style guides and national varieties of languages prescribe different guidance on dashes. Dashes have been cited as being treated differently in the US and the UK, with the former preferring the use of an em-dash with no additional spacing, and the latter preferring a spaced en-dash. As an example of the US style, The Chicago Manual of Style still recommends unspaced em-dashes. Style guides outside of the US are more variable. For example, the Canadian The Elements of Typographic Style recommends the spaced en-dash – like so – and argues that the length and visual magnitude of an em dash 'belongs to the padded and corseted aesthetic of Victorian typography.'" (There is more).

Ideally, there would be an *option* in the Grammar Checker to set the preferred style. Could this be integrated across Auto-correct and Grammar Checker so that the option is set once? This latter is less important, so long as there is a way to avoid the Grammar Checker trying to enforce a style preference which is not universally accepted, and many regard as outdated.

A user should not have to change their typographical style to avoid irritating blue marks everywhere.
Comment 1 Matt 2012-10-23 00:29:28 UTC
In fact the quote is from http://en.wikipedia.org/wiki/Dash#En_dash_versus_em_dash
Comment 2 Matt 2012-10-23 01:15:20 UTC
Auto-correct also automatically replaces

[word][space][-][space][word]

with

[word][space][en-dash][space][word]

which is immediately underlined in blue by the Grammar Checker!
Comment 3 Kumāra 2013-02-16 04:04:27 UTC
I know, I know. I had the same problem with it--*when* it was working. (Not sure why it stopped working though.)

I recall that you can turn off the option to check that in Tools > Extension Manager.
Comment 4 tommy27 2013-06-07 18:32:50 UTC
Changed "auto-correct" to "autocorrect" in title as that is the actual name of the facility in question and this bug was not showing up in typical searches.
Comment 5 Robinson Tryon (qubit) 2013-12-24 21:11:06 UTC
TESTING on Ubuntu 12.04.3 with
LibreOffice Version: 4.2.0.1

(In reply to comment #0)
> LibreOffice Writer Auto-correct replaces [space][-][-][space] with
> [space][en-dash][space].
> 

Yes

> However, the Grammar Checker underlines this in blue and offers replacement
> with [em-dash] (no spaces).

NOREPRO when testing with 4.2.0.1. Resolving as WORKSFORME.

Matt - Can you still reproduce this problem with a modern build of LibreOffice? If so, please change the bug status from RESOLVED WORKSFORME back to UNCONFIRMED.

Thanks!